#!/bin/bash

iters=3
thresh=0.000001
BOOT=1

TRAIN="train_gaussLeaves.txt"
LABELS="train_gaussLeavesLabels.txt"

INITPARAMS="trained.params"

/g/ssli/transitory/halloj3/gmtk_disc_train/tksrc/gmtkKernel \
    -of1 $TRAIN -fmt1 ascii -nf1 1 -ni1 0 \
    -of2 $LABELS -fmt2 ascii -nf2 0 -ni2 1 \
    -verbosity 10 \
    -storeFeatureFile outs.kernel.txt \
    -transFileIsBinary F \
    -writeLogVals F \
    -strFile hmm_gaussLeaves_train.str \
    -strFile2 hmm_gaussLeaves.str \
    -triFile hmm_gaussLeaves_train.str.trifile \
    -triFile2 hmm_gaussLeaves.str.trifile \
    -inputMasterFile hmm_gaussLeavesTrained.mtr \
    -inputMasterFile2 hmm_gaussLeavesTrained.mtr \ \
    -binInputTrainableParameters false -binOutputTrainableParameters false \
    -inputTrainableParameters trained_gaussLeaves.params \
    -inputTrainableParameters2 trained_gaussLeaves.params \
    -varFloor 1.0e-10 \
    -initIter 0 \
    -maxIter $iters \
    -shuffleData T \
    -batchSize 1 \
    -updateMean T \
    -updateCovar T \
    -updateDPMF T \
    -updateCPT F \
    -useAdagrad T \
    -covarLr 1.0e-2 \
    -meanLr 1.0e-2 \
    -initLr 1.0e-2 \
    -useCovarDecayLr T \
    -useMeanDecayLr T \
    -useDecayLr T \
    -decayCovarLrRate 1.0 \
    -decayMeanLrRate 1.0 \
    -decayLrRate 1.0 \
    -denomWeightMean 1.0 \
    -denomWeightCovar 1.0 \
    -denomWeightDPMF 1.0 \
    -failOnZeroClique F \
    -random F \
    -checkTriFileCards F \
    -componentCache T \
    2>&1 | tee outs.txt
