#!/bin/bash

#test data points: 3000,9000,15000

if [ -z "$1" ]
then
    echo "No num supplied, defaulting to testing data with 15000 samples"
    TEST="data/hmm_test_15000data.txt"
    NUM="15000"
else
    NUM="$1"
    TEST="data/hmm_test_${NUM}data.txt"
    if [ ! -e "$TEST" ]
    then
	echo "Num not 3000,9000,15000, defaulting to testing data with 15000 samples"
	TEST="data/hmm_test_15000data.txt"
	NUM="15000"
    fi
fi

echo $TEST > test.txt
ALIGN="hmm_vitVals.txt"
gmtkViterbi -strFile hmm.str -triFile hmm.str.trifile -inputMasterFile hmm.mtr -inputTrainableParameters trained.params -of1 test.txt -fmt1 ascii -nf1 0 -ni1 1 -verbosity 10 -vitValsFile $ALIGN

./verify.sh "data/hmm_test_${NUM}_true_labels.txt" $ALIGN
