#!/bin/bash

#test data points: 3000,9000,15000

if [ -z "$1" ]
then
    echo "No num supplied, defaulting to testing data with 15000 samples"
    TEST="data/hmm_test_gaussLeaves_15000data.txt"
    NUM="15000"
else
    NUM="$1"
    TEST="data/hmm_test_gaussLeaves_${NUM}data.txt"
    if [ ! -e "$TEST" ]
    then
	echo "Num not 3000,9000,15000, defaulting to testing data with 15000 samples"
	TEST="data/hmm_test_gaussLeaves_15000data.txt"
	NUM="15000"
    fi
fi

echo $TEST > test_gaussLeaves.txt
ALIGN="hmm_gaussLeaves_vitVals.txt"

gmtkViterbi -strFile hmm_gaussLeaves.str \
    -triFile hmm_gaussLeaves.str.trifile \
    -inputMasterFile hmm_gaussLeavesTrained.mtr \
    -inputTrainableParameters trained_gaussLeaves.params \
    -of1 test_gaussLeaves.txt -fmt1 ascii \
    -nf1 1 -ni1 0 -verbosity 10 -vitValsFile $ALIGN

./verify.sh "data/hmm_test_gaussLeaves_${NUM}true_labels.txt" $ALIGN
