#!/bin/bash

TRAIN="train_gaussLeaves.txt"
LABELS="train_gaussLeavesLabels.txt"

cp dnnInit.txt dnn

RADIUS=0
NUMFEATURES=$((2*RADIUS+1))

gmtkDMLPtrain \
    -of1 $TRAIN -fmt1 ascii -nf1 1 -ni1 0 \
    -of2 $LABELS -fmt2 ascii -nf2 0 -ni2 1 \
    -startSkip $RADIUS -endSkip $RADIUS -constantSpace T \
    -trainingSched permute \
    -inputMasterFile hmm_dnn.mtr \
    -deepMLPName dnn -labelOffset 1 \
    -featureOffset 0 -numFeatures $NUMFEATURES -radius $RADIUS \
    -pretrainType AE -ptNumEpochs 0.2 -ptNumAnneal 0.1 -ptL2 1e-3 \
    -bpNumEpochs 4415 -bpNumAnneal 0.15 -bpL2 1e-3 \
    -outputMasterFile dnn.params \
    -batchQueueSize 524300 -pretrainType none \
    -bpInitStepSize 2.000000e-03 \
    -ptMiniBatchSize 100 -bpMiniBatchSize 100 -allocateDenseCpts 2 $*
